<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#getActiveMonth(int)">getActiveMonth(int)</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Get the number of days that the actraction has been active
 during the indicated month.</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#getActiveYear()">getActiveYear()</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Gets the number of days that the actraction has been active during the year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#getAdults()">getAdults()</a></span> - Method in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Obtain the assistance data of adults</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#getAdults()">getAdults()</a></span> - Method in class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Obtain number adults that ride</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#getAdults()">getAdults()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Total number of adults</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#getAge()">getAge()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Indicates the age of person</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#getAmount()">getAmount()</a></span> - Method in class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Obtain the total amount accumulated</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#getAssistanceDay(int)">getAssistanceDay(int)</a></span> - Method in class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Obtain data of the indicated day of year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#getAssistanceMonth(int)">getAssistanceMonth(int)</a></span> - Method in class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Obtain data of the indicated month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#getAssistanceYear()">getAssistanceYear()</a></span> - Method in class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Obtains the accumulated data of the year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getAttraction()">getAttraction()</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Attraction of the statistics</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getAttractionActiveForMonth(int)">getAttractionActiveForMonth(int)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Get the number of active days of the attraction for the year and month indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionStatistics.html#getAttractionActiveForMonth(int,java.lang.String,int)">getAttractionActiveForMonth(int, String, int)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></dt>
<dd>
<div class="block">Get the number of active days of the attraction for the year and month indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getAttractionActiveForPeriod(java.time.LocalDate,java.time.LocalDate)">getAttractionActiveForPeriod(LocalDate, LocalDate)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Get the number of active days of the attraction for the period indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getAttractionActiveForYear()">getAttractionActiveForYear()</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Get the number of active days of the attraction for the year indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionStatistics.html#getAttractionActiveForYear(int,java.lang.String)">getAttractionActiveForYear(int, String)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></dt>
<dd>
<div class="block">Get the number of active days of the attraction for the year indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#getAttractionList()">getAttractionList()</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Obtain attraction list</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AtraccionesActivas.html#getAttractionStatus(int,java.lang.String)">getAttractionStatus(int, String)</a></span> - Method in class attractions.<a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></dt>
<dd>
<div class="block">Get the status data for the indicated year and attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#getAverage()">getAverage()</a></span> - Method in class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Get the average</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#getAverageHeight()">getAverageHeight()</a></span> - Method in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Get the average height for group</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#getCaption()">getCaption()</a></span> - Method in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Get text to visualize</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#getChildren()">getChildren()</a></span> - Method in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Obtain the assistance data of the infants</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#getChildren()">getChildren()</a></span> - Method in class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Obtain number infants that ride</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#getChildren()">getChildren()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Total number of children</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#getChildrenList()">getChildrenList()</a></span> - Method in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Get children menu items</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffBase.html#getCoefficient()">getCoefficient()</a></span> - Method in class staff.<a href="../staff/StaffBase.html" title="class in staff">StaffBase</a></dt>
<dd>
<div class="block">Get staff coefficient</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#getController()">getController()</a></span> - Method in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Get controller that will run</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#getDate()">getDate()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Indicates date of the tickets for access to the park</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffBase.html#getDepartment()">getDepartment()</a></span> - Method in class staff.<a href="../staff/StaffBase.html" title="class in staff">StaffBase</a></dt>
<dd>
<div class="block">Get department name</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/DiscountEnum.html#getDescription()">getDescription()</a></span> - Method in enum ticket.<a href="../ticket/DiscountEnum.html" title="enum in ticket">DiscountEnum</a></dt>
<dd>
<div class="block">Get the human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#getDescription()">getDescription()</a></span> - Method in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Get the human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SeasonEnum.html#getDescription()">getDescription()</a></span> - Method in enum ticket.<a href="../ticket/SeasonEnum.html" title="enum in ticket">SeasonEnum</a></dt>
<dd>
<div class="block">Get the human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SourceEnum.html#getDescription()">getDescription()</a></span> - Method in enum ticket.<a href="../ticket/SourceEnum.html" title="enum in ticket">SourceEnum</a></dt>
<dd>
<div class="block">Get the human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#getDescription()">getDescription()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Simple description of the type of entry</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/DiscountEnum.html#getDiscount()">getDiscount()</a></span> - Method in enum ticket.<a href="../ticket/DiscountEnum.html" title="enum in ticket">DiscountEnum</a></dt>
<dd>
<div class="block">Get the discount percentage</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#getDiscount()">getDiscount()</a></span> - Method in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Get the discount percentage</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#getDiscounts()">getDiscounts()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Discounts list</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#getGroup()">getGroup()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Indicates the type of the group</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#getHeight()">getHeight()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Indicates the height of person</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#getId()">getId()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Get attraction unique identificator</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#getId()">getId()</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Obtain the attraction id</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getId()">getId()</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Get attraction id</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#getId()">getId()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Get id for ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#getLine(char,int)">getLine(char, int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Returns a line string of the indicated length</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#getMaximumHeight()">getMaximumHeight()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Get the maximum height in cm</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#getMenu()">getMenu()</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Gets the list of options for the preparation of the menu.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/Controller.html#getMenu()">getMenu()</a></span> - Method in class controller.<a href="../controller/Controller.html" title="class in controller">Controller</a></dt>
<dd>
<div class="block">Gets the list of options for the preparation of the menu.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#getMenu()">getMenu()</a></span> - Method in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>
<div class="block">Gets the list of options for the preparation of the menu.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#getMenu()">getMenu()</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Gets the list of options for the preparation of the menu.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#getMenu()">getMenu()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Gets the list of options for the preparation of the menu.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#getMenu()">getMenu()</a></span> - Method in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>
<div class="block">Gets the list of options for the preparation of the menu.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketTypeController.html#getMenu()">getMenu()</a></span> - Method in class controller.<a href="../controller/TicketTypeController.html" title="class in controller">TicketTypeController</a></dt>
<dd>
<div class="block">Gets the list of options for the preparation of the menu.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#getMinAge()">getMinAge()</a></span> - Method in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Get the minimum age for group</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#getMinimunHeight()">getMinimunHeight()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Get the minimun height in cm</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#getMonthLength(int,int)">getMonthLength(int, int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Return the number of days of a month</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#getMonthName(int)">getMonthName(int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Returns the name of the indicated month</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#getNumAssistant()">getNumAssistant()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Get the number of assistant</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#getNumManager()">getNumManager()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Get the number of managers</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#getOption()">getOption()</a></span> - Method in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Get option that the user must enter to select the option</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/Controller.html#getOptionCaption(tools.MenuItem)">getOptionCaption(MenuItem)</a></span> - Method in class controller.<a href="../controller/Controller.html" title="class in controller">Controller</a></dt>
<dd>
<div class="block">Returns an optional caption for an item menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#getOptionCaption(tools.MenuItem)">getOptionCaption(MenuItem)</a></span> - Method in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#getOptionCaption(tools.MenuItem)">getOptionCaption(MenuItem)</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Returns an optional caption for an item menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#getPerson(int)">getPerson(int)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Obtain the person from the list in the indicated position</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#getPersonFromAge(int)">getPersonFromAge(int)</a></span> - Static method in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Returns the type of group for a person according to their age</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#getPersonList()">getPersonList()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Get person list</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#getQuantity()">getQuantity()</a></span> - Method in class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Obtain the total quantity accumulated</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getRideAttractionDay(int)">getRideAttractionDay(int)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Obtain data of the indicated day of year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getRideAttractionMonth(int)">getRideAttractionMonth(int)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Obtain data of the indicated month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getRideAttractionYear()">getRideAttractionYear()</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Obtains the accumulated data of the year</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffBase.html#getSalary()">getSalary()</a></span> - Method in class staff.<a href="../staff/StaffBase.html" title="class in staff">StaffBase</a></dt>
<dd>
<div class="block">Returns the salary according base and supplement</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SourceEnum.html#getSerie()">getSerie()</a></span> - Method in enum ticket.<a href="../ticket/SourceEnum.html" title="enum in ticket">SourceEnum</a></dt>
<dd>
<div class="block">Get the id for source</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#getSerieId()">getSerieId()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Get id with source serie for ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceStatistics.html#getStatisticForDay(int,int)">getStatisticForDay(int, int)</a></span> - Method in class statistics.<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></dt>
<dd>
<div class="block">Obtains the statistic for indicated day of year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceStatistics.html#getStatisticForMonth(int,int)">getStatisticForMonth(int, int)</a></span> - Method in class statistics.<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></dt>
<dd>
<div class="block">Obtains the statistic for indicated month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionStatistics.html#getStatisticForMonth(int,java.lang.String,int)">getStatisticForMonth(int, String, int)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></dt>
<dd>
<div class="block">Obtains the statistic for indicated month</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceStatistics.html#getStatisticForYear(int)">getStatisticForYear(int)</a></span> - Method in class statistics.<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></dt>
<dd>
<div class="block">Obtains the statistic for indicated year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionStatistics.html#getStatisticForYear(int,java.lang.String)">getStatisticForYear(int, String)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></dt>
<dd>
<div class="block">Obtains the statistic for indicated year</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#getStatus(int)">getStatus(int)</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Obtain the state of attraction for the day of the year indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#getStatus(java.time.LocalDate)">getStatus(LocalDate)</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Get the status of the attraction for the indicated date</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffBase.html#getSupplement()">getSupplement()</a></span> - Method in class staff.<a href="../staff/StaffBase.html" title="class in staff">StaffBase</a></dt>
<dd>
<div class="block">Get salary supplement</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Season.html#getSupplement()">getSupplement()</a></span> - Method in class ticket.<a href="../ticket/Season.html" title="class in ticket">Season</a></dt>
<dd>
<div class="block">Get the supplement percentage</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SeasonEnum.html#getSupplement()">getSupplement()</a></span> - Method in enum ticket.<a href="../ticket/SeasonEnum.html" title="enum in ticket">SeasonEnum</a></dt>
<dd>
<div class="block">Get the supplement percentage</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#getTicket()">getTicket()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Get structure with the data of the entrance of the group of people</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketTypeController.html#getTicket()">getTicket()</a></span> - Method in class controller.<a href="../controller/TicketTypeController.html" title="class in controller">TicketTypeController</a></dt>
<dd>
<div class="block">Structure with the data of the entrance of the group of people.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#getTicketByType(controller.TicketTypeController,java.lang.String,boolean)">getTicketByType(TicketTypeController, String, boolean)</a></span> - Method in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>
<div class="block">Return a type indicate ticket with ramdon date and ramdon person number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#getTicketFamily(controller.TicketTypeController)">getTicketFamily(TicketTypeController)</a></span> - Method in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>
<div class="block">Return a family ticket with ramdon date</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#getTotal()">getTotal()</a></span> - Method in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Obtain the total assistance data</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#getTotal()">getTotal()</a></span> - Method in class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Obtain total number that ride</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#getYear()">getYear()</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Obtain the year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#getYear()">getYear()</a></span> - Method in class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Year of the statistics</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#getYear()">getYear()</a></span> - Method in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Year of the statistics</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#getYearLength(int)">getYearLength(int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Return the number of days of a year</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#group">group</a></span> - Variable in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Group of the person.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
